function createWebSocket(url: string, eventHandler: (event: MessageEvent) => void) {
  const urlObject = new URL(url, location.origin.replace(/^http/, 'ws'))
  const webSocket = new WebSocket(urlObject)
  webSocket.onmessage = eventHandler
  return webSocket
}

export default createWebSocket
